CDMInfo (CMDB Model API)
Keywords: com.collation.platform.model.discovery.cdm.CDMInfo interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.discovery.cdm
Interface CDMInfo

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface CDMInfo

extends LogicalElement

Represents a cdm import

Naming Rules:
  0="name,sourceHostName"
Persistable:
  true
Table Name:
  CDMINFO
Display Name:
  name

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`long` | `getCreateTime()`
`long` | `getModifiedTime()`
`java.lang.String` | `getName()`
`java.lang.String` | `getPassWord()`
`int` | `getPort()`
`Scope` | `getScope()`
`java.lang.String` | `getSourceHostName()`
`java.lang.String` | `getUserName()`
`boolean` | `hasCreateTime()`
`boolean` | `hasModifiedTime()`
`boolean` | `hasName()`
`boolean` | `hasPassWord()`
`boolean` | `hasPort()`
`boolean` | `hasScope()`
`boolean` | `hasSourceHostName()`
`boolean` | `hasUserName()`
`void` | `setCreateTime(long timeInMillis)` Created time in millis
`void` | `setModifiedTime(long timeInMillis)` Modified time in millis
`void` | `setName(java.lang.String name)` Name of this cdm run
`void` | `setPassWord(java.lang.String passWord)` Source password for the cdmDomain
`void` | `setPort(int port)` Source host port number of this cdm run
`void` | `setScope(Scope scope)` All Scope elements defined on source server
`void` | `setSourceHostName(java.lang.String sourceHostName)` Source host name of this cdm run
`void` | `setUserName(java.lang.String userName)` Source userName for the CDMInfo

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### setName

    void setName(java.lang.String name)

  Name of this cdm run

  Parameters:
    `runName` -

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasName

    boolean hasName()

### setSourceHostName

    void setSourceHostName(java.lang.String sourceHostName)

  Source host name of this cdm run

  Parameters:
    `runName` -

### getSourceHostName

    java.lang.String getSourceHostName()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasSourceHostName

    boolean hasSourceHostName()

### setUserName

    void setUserName(java.lang.String userName)

  Source userName for the CDMInfo

  Parameters:
    `userName` -

### getUserName

    java.lang.String getUserName()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasUserName

    boolean hasUserName()

### setPassWord

    void setPassWord(java.lang.String passWord)

  Source password for the cdmDomain

  Parameters:
    `passWord` -

### getPassWord

    java.lang.String getPassWord()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasPassWord

    boolean hasPassWord()

### setPort

    void setPort(int port)

  Source host port number of this cdm run

  Parameters:
    `status` -

### getPort

    int getPort()
                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasPort

    boolean hasPort()

### setCreateTime

    void setCreateTime(long timeInMillis)

  Created time in millis

  Parameters:
    `timeInMillis` -

### getCreateTime

    long getCreateTime()
                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasCreateTime

    boolean hasCreateTime()

### setModifiedTime

    void setModifiedTime(long timeInMillis)

  Modified time in millis

  Parameters:
    `timeInMillis` -

### getModifiedTime

    long getModifiedTime()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasModifiedTime

    boolean hasModifiedTime()

### setScope

    void setScope(Scope scope)

  All Scope elements defined on source server

  Table Name:
    CDM_SCOPE
  Containment Relationship:
    false

### getScope

    Scope getScope()
                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasScope

    boolean hasScope()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD